@font-face {
  font-family: "IRANSansX";
  font-style: normal;
  font-weight: 100;
  font-display: swap;
  src: url("../fonts/iransansx/IRANSansX-Thin.woff2") format("woff2");
}

@font-face {
  font-family: "IRANSansX";
  font-style: normal;
  font-weight: 200;
  font-display: swap;
  src: url("../fonts/iransansx/IRANSansX-UltraLight.woff2") format("woff2");
}

@font-face {
  font-family: "IRANSansX";
  font-style: normal;
  font-weight: 300;
  font-display: swap;
  src: url("../fonts/iransansx/IRANSansX-Light.woff2") format("woff2");
}

@font-face {
  font-family: "IRANSansX";
  font-style: normal;
  font-weight: 400;
  font-display: swap;
  src: url("../fonts/iransansx/IRANSansX-Regular.woff2") format("woff2");
}

@font-face {
  font-family: "IRANSansX";
  font-style: normal;
  font-weight: 500;
  font-display: swap;
  src: url("../fonts/iransansx/IRANSansX-Medium.woff2") format("woff2");
}

@font-face {
  font-family: "IRANSansX";
  font-style: normal;
  font-weight: 600;
  font-display: swap;
  src: url("../fonts/iransansx/IRANSansX-DemiBold.woff2") format("woff2");
}

@font-face {
  font-family: "IRANSansX";
  font-style: normal;
  font-weight: 700;
  font-display: swap;
  src: url("../fonts/iransansx/IRANSansX-Bold.woff2") format("woff2");
}

@font-face {
  font-family: "IRANSansX";
  font-style: normal;
  font-weight: 800;
  font-display: swap;
  src: url("../fonts/iransansx/IRANSansX-ExtraBold.woff2") format("woff2");
}

@font-face {
  font-family: "IRANSansX";
  font-style: normal;
  font-weight: 900;
  font-display: swap;
  src: url("../fonts/iransansx/IRANSansX-Black.woff2") format("woff2");
}

@font-face {
  font-family: "IRANSansX";
  font-style: normal;
  font-weight: 950;
  font-display: swap;
  src: url("../fonts/iransansx/IRANSansX-ExtraBlack.woff2") format("woff2");
}

@font-face {
  font-family: "IRANSansX";
  font-style: normal;
  font-weight: 1000;
  font-display: swap;
  src: url("../fonts/iransansx/IRANSansX-Heavy.woff2") format("woff2");
}

:root {
  --hms-font-family: "IRANSansX", Tahoma, Arial, sans-serif;
}

html,
body,
button,
input,
select,
textarea,
optgroup {
  font-family: var(--hms-font-family) !important;
  -moz-font-feature-settings: "ss01" 1;
  -webkit-font-feature-settings: "ss01" 1;
  font-feature-settings: "ss01" 1;
}

body {
  font-weight: 400;
  font-synthesis: none;
}

h1,
h2,
h3,
h4,
h5,
h6 {
  font-family: var(--hms-font-family) !important;
  font-synthesis: none;
}

h1,
h2 {
  font-weight: 700;
}

h3,
h4 {
  font-weight: 600;
}

h5,
h6 {
  font-weight: 500;
}

strong,
b,
th {
  font-weight: 700;
}

blockquote {
  font-weight: 700;
}

.text-thin {
  font-weight: 100;
}

.text-UltraLight,
.text-ultralight {
  font-weight: 200;
}

.text-light {
  font-weight: 300;
}

.text-regular {
  font-weight: 400;
}

.text-medium {
  font-weight: 500;
}

.text-demibold {
  font-weight: 600;
}

.text-bold {
  font-weight: 700;
}

.text-extrabold {
  font-weight: 800;
}

.text-black {
  font-weight: 900;
}

.text-extrablack {
  font-weight: 950;
}

.text-heavy {
  font-weight: 1000;
}

.fa-num,
.ss01 {
  -moz-font-feature-settings: "ss01" 1 !important;
  -webkit-font-feature-settings: "ss01" 1 !important;
  font-feature-settings: "ss01" 1 !important;
}

.fa-num-tabular,
.ss03,
table,
time,
data,
.woocommerce-Price-amount,
.amount,
.price,
.hms-sub-selected-price,
.hms-sub-order-summary,
input[type="number"],
input[type="tel"] {
  -moz-font-feature-settings: "ss01" 1, "ss03" 1 !important;
  -webkit-font-feature-settings: "ss01" 1, "ss03" 1 !important;
  font-feature-settings: "ss01" 1, "ss03" 1 !important;
  font-variant-numeric: tabular-nums;
}

.fa-num-centered,
.ss04 {
  -moz-font-feature-settings: "ss01" 1, "ss04" 1 !important;
  -webkit-font-feature-settings: "ss01" 1, "ss04" 1 !important;
  font-feature-settings: "ss01" 1, "ss04" 1 !important;
}

code,
pre,
kbd,
samp,
.hms-code,
.CodeMirror,
.ace_editor {
  font-feature-settings: normal;
}
